Old Macintosh computer compatability

I want to drive my laser with an older G4 Macintosh. What is the oldest Computer and OS that will work with Lightburn and the laser?

MacOS 10.11 or later.

Minimum computer system requirements:

LightBurn will run on Windows 7.0 or later, 32 or 64 bit, MacOS 10.11 or later, or 64 bit Linux. LightBurn does not require a powerful computer for most work, though if your designs contain a lot of images, more memory is helpful., and a faster computer will make it easier to work with large images or complex vector graphics.

Installing Lightburn - LightBurn Software Documentation

Thanks, Running fine after your suggestion on a 17" G4 circa 2007 with El Cap. That was the hardest part finding and upgrading the MacBook to El Cap from snow leopard. But works great. Thanks for the reply!

1 Like